Piattaforme supportate per AEM Forms su JEE supported-platforms-for-aem-forms-on-jee

Piattaforme supportate supported-platforms

recommendation-more-help

L’Adobe ha rilasciato un programma di installazione completo con AEM 6.5 Forms Service Pack 18 (6.5.18.0) su JEE insieme ai programmi di installazione delle patch. Il programma di installazione completo supporta nuove piattaforme, mentre il programma di installazione delle patch include solo correzioni di bug.
Se stai eseguendo una nuova installazione o pianificando di utilizzare il software più recente per il tuo Forms AEM 6.5 in ambiente JEE, Adobe consiglia di utilizzare Programma di installazione completo per Forms su JEE per AEM 6.5.18.0 rilasciato il 31 agosto 2023 invece del programma di installazione di Forms AEM 6.5 rilasciato l’8 aprile 2019 o del programma di installazione di Forms dell’AEM 6.5.12 rilasciato il 3 marzo 2022.

Livelli di supporto support-levels

AEM Forms sul server JEE può essere configurato utilizzando qualsiasi combinazione di sistemi operativi, server applicazioni, database, driver di database, JDK, server LDAP e server e-mail supportati.

Questo documento elenca le piattaforme client e server supportate per AEM Forms su JEE. Adobe fornisce diversi livelli di supporto, sia per le configurazioni consigliate per Adobe che per altre configurazioni. Il documento elenca anche altri software supportati e le relative versioni, eccezioni, definizioni di patch e criteri di supporto delle patch software di terze parti.

NOTE
  • Per un elenco completo delle eccezioni alle piattaforme server supportate, vedere Eccezioni alle piattaforme server supportate.
  • AEM Forms su JEE supporta solo le versioni in inglese, francese, tedesco e giapponese dei sistemi operativi e delle applicazioni supportati.

Criteri di aggiornamento e supporto

Installazione completa

  • Supporto di aggiornamento per programmi di installazione completi: viene rilasciato un programma di installazione completo con ogni sesto rilascio del Service Pack per l’AEM. Ad esempio, è stato rilasciato un programma di installazione completo con le versioni 6.5.12.0 e 6.5.18.0 SP. AEM Forms consente aggiornamenti diretti esclusivamente dagli ultimi due programmi di installazione completi. Ad esempio, AEM Forms facilita gli aggiornamenti diretti alla versione 6.5.18.0 solo dagli ultimi due programmi di installazione completi, ovvero 6.5.12.0 e 6.5.6.0. Se è necessario eseguire l'aggiornamento da un aggiornamento precedente, è possibile utilizzare un aggiornamento multi-hop per passare prima a una versione completa del programma di installazione supportata e quindi alla versione più recente.

  • Obsolescenza e rimozione: il supporto della piattaforma viene aggiornato a ogni versione completa del programma di installazione. Qualsiasi software contrassegnato come obsoleto nella matrice della piattaforma durante una versione con programma di installazione completo ha diritto a essere rimosso dalla matrice della piattaforma supportata in una versione successiva con programma di installazione completo, indicando la fine del supporto del software.

Service Pack

  • Copertura Service Pack: Adobe fornisce supporto tecnico per gli ambienti AEM Forms utilizzando uno dei sei Service Pack più recenti. Se la versione corrente è precedente agli ultimi sei Service Pack, l’Adobe consiglia vivamente di eseguire l’aggiornamento alla versione più recente per garantire prestazioni, sicurezza e supporto continui ottimali.

  • Linee guida per il programma di installazione delle patch: quando si utilizzano i programmi di installazione delle patch per l’aggiornamento, è fondamentale verificare che la versione completa del programma di installazione sottostante non sia precedente a più di due versioni. Ad esempio, durante l'installazione del service pack 6.5.19.0, verificare che la versione del programma di installazione completo sottostante sia 6.5.18.0 o 6.5.12.0.

  • Supporto per l’aggiornamento delle patch: puoi continuare a eseguire l’aggiornamento al service pack più recente, fino a quando non effettui l’aggiornamento anche alle piattaforme supportate più recenti. Ad esempio, è possibile effettuare l’aggiornamento dal service pack 6.5.12.0 all’6.5.19.0, purché si passi a una combinazione di piattaforme supportata per 6.5.19.0.

Configurazioni consigliate recommendedconfigurations

L'Adobe consiglia queste configurazioni e fornisce supporto completo o limitato come parte del contratto standard di manutenzione software:

Livello di supporto
Descrizione
R: Supportato
L'Adobe fornisce supporto e manutenzione completi per questa configurazione. Questa configurazione è coperta dal processo di controllo qualità di Adobe.
R: Supporto limitato
L’Adobe fornisce il supporto completo per questa configurazione dopo che sono stati soddisfatti alcuni prerequisiti. Contatta l’Adobe di supporto Enterprise per scoprire i prerequisiti e inoltrare una richiesta di supporto.
L: Supporto limitato
L'Adobe fornisce supporto e manutenzione completi per questa configurazione dopo che sono stati soddisfatti alcuni prerequisiti. Non tutte le funzionalità sono disponibili nella configurazione. Contatta l’Adobe di supporto Enterprise per scoprire i prerequisiti e inoltrare una richiesta di supporto.

Configurazioni non supportata unsupported-configurations

Livello di supporto
Descrizione
E: Funzionamento previsto
La configurazione dovrebbe funzionare, e non ci sono report che indicano il contrario.
Z: non supportato
Configurazione non supportata. L’Adobe non fornisce alcuna istruzione sul funzionamento o meno della configurazione e non la supporta.
NOTE
Per aiutare i clienti AEM Forms a ridurre il costo di proprietà, semplificare l’architettura di distribuzione e modernizzare lo stack di sviluppo, la piattaforma aziendale Adobe Experience Manager si sta allontanando dalle implementazioni basate su server applicazioni a favore delle implementazioni autonome basate su OSGi. Adobe continua a supportare lo stack AEM Forms JEE con una matrice ridotta di componenti dell’infrastruttura.
Con la versione 6.5, i componenti dell’infrastruttura che hanno il minore utilizzo tra i clienti Adobe non sono più supportati, come segue:
  • Database IBM® DB2®
  • Sistemi operativi IBM® AIX® e Sun Solaris™
Per le nuove installazioni, ove possibile, si consiglia di implementare AEM Forms sul moderno stack OSGi per utilizzare le ultime innovazioni relative a Adaptive Forms per le integrazioni di dati mobili, interattivi multicanale e back-end tramite il modello dati del modulo.
Adobe riconosce che gli utenti esistenti devono continuare a distribuire AEM Forms sullo stack JEE. In tali scenari, Adobe richiede la distribuzione di AEM Forms JEE sull’infrastruttura supportata come descritto in questa documentazione. Se stai effettuando l’aggiornamento a Forms AEM 6.5 e utilizzi una piattaforma non supportata nella versione precedente di AEM Forms, puoi contattare il supporto di Adobe per assistenza sull’aggiornamento a una piattaforma supportata.

Java™ Virtual Machine (JVM) java-virtual-machines-jvm

Adobe Experience Manager Forms richiede una macchina virtuale Java™ da eseguire, fornita dalla distribuzione Java™ Development Kit (JDK). Adobe Experience Manager funziona con le seguenti versioni di Java™ Virtual Machines:

Platform
Livello di supporto
Definizioni di patch supportate
Oracle Java™ SE 11 (64 bit) [8]
R: Supportato
Versioni minori e aggiornamenti
Azul Zulu OpenJDK 11 - 64 bit
Z: non supportato
Azul Zulu OpenJDK 8 - 64 bit
Z: non supportato
Oracle Java™ SE 8 (64 bit)
R: Supportato
Versioni minori e aggiornamenti
Macchina virtuale IBM® J9 (build 2.9, JRE 1.8.0) IBM® JDK SR6-FP26
R: Supportato
Versioni minori e aggiornamenti
IBM® JAVA1.8.0_291 (build 8.0.6.30)
R: Supportato
Versioni minori e aggiornamenti
NOTE
  • Monitora i bollettini sulla sicurezza del fornitore Java™ per garantire la sicurezza degli ambienti di produzione e installa gli aggiornamenti Java™ più recenti.
  • AEM Forms su JEE supporta solo JVM a 64 bit negli ambienti di produzione.

Database e persistenza CRX databases-and-crx-persistence

Platform
Descrizione
Livello di supporto
File system
Microkernel dell’archivio (file TAR MK)
Funzione supportata
MongoDB Enterprise 5.0
Microkernel archivio
Funzione supportata
MongoDB Enterprise 6.0
Microkernel archivio
Funzione supportata
Oracle Database 19c (Standard, Real Application Clusters (RAC) ed Enterprise Edition)
Archivio Microkernal
Funzione supportata
Microkernel archivio
Funzione supportata
Microsoft® SQL Server 2019
Microkernel archivio
Funzione supportata
IBM® DB2® 11.1 (obsoleto)
Microkernel archivio
R: Supporto limitato
MySQL 8.0.27
-
R: Supporto limitato
  • IBM® DB2® non è supportato per le nuove installazioni. È supportato solo per i clienti esistenti che eseguono l’aggiornamento a Forms AEM 6.5.
  • MongoDB è un software di terze parti e non è incluso nel pacchetto di licenze AEM. Per ulteriori informazioni, consulta Criteri di licenza MongoDB.
  • Per ottenere il massimo dall’implementazione dell’AEM, l’Adobe consiglia di concedere in licenza la versione Enterprise di MongoDB per beneficiare di un supporto professionale.
  • L’Assistenza clienti Adobe assiste i problemi di qualificazione relativi all’utilizzo di MongoDB con AEM. Per ulteriori informazioni, vedere Pagina MongoDB per Adobe Experience Manager.
  • 'File system' include l'archiviazione dei blocchi compatibile con POSIX. Ciò include la tecnologia di storage in rete. Tieni presente che le prestazioni del file system potrebbero variare e influenzare le prestazioni complessive. Si consiglia di caricare l'AEM di prova con il file system di rete/remoto.
  • È supportato solo MongoDB Storage Engine WiredTiger.
  • Il partizionamento di MongoDB non è supportato in AEM.
  • AEM Forms su JEE non supporta MySQL per la persistenza RDBMK.
  • Il modulo Document Security non utilizza l’archivio dei contenuti. Ciò significa che, se utilizzi solo Document Security e non prevedi di utilizzare HTML Workspace, moduli HTML5 o moduli adattivi, non installare il Content Repository.
  • AEM Forms su JEE non supporta l’utilizzo di MySQL per l’archivio AEM persistente (CRX-Repository).

Driver di database database-drivers

Database
Platform
Definizioni di patch supportate
MySQL

Connettore MySQL/J 5.7

mysql-connector-java-5.1.44-bin.jar(versione 5.1.44)

Fornito con l’installazione di AEM Forms su JEE
Microsoft® SQL Server

Driver JDBC Microsoft® SQL Server 8.2.2

sqljdbc8.jar

Scarica dal sito web Microsoft®.
Oracle

Driver JDBC Oracle Database 19.3.0.0.0

ojdbc8.jar (versione 19.3.0.0.0)

Scarica da Sito Web Oracle.

Server applicazioni application-servers

Platform
Livello di supporto
Definizioni di patch supportate
Oracle Server WebLogic 12.2.1 (12c R2) (obsoleto) [9]
R: Supportato
Service Pack e aggiornamenti critici
Oracle server WebLogic 14c [9]
R: Supportato
Service Pack e aggiornamenti critici
Application server IBM® WebSphere® 9.0.0.10 [1] [4]
R: Supportato
Service Pack e aggiornamenti critici
JBoss® Enterprise Application Platform (EAP) 7.4 [2] [3] [7]
R: Supportato
Patch e patch cumulative per la versione EAP supportata
NOTE
I cluster IBM® WebSphere® sono supportati solo nelle edizioni di distribuzione in rete.

Sistemi operativi server server-operating-systems

Ambienti di produzione production-environments

Platform
Livello di supporto
Definizioni di patch supportate
Microsoft® Windows Server 2019 (64 bit) (obsoleto)
R: Supportato
Service Pack e aggiornamenti critici
Microsoft® Windows Server 2022 (64 bit)
R: Supportato
Service Pack e aggiornamenti critici
Ubuntu 20.04
R: Supportato
Service Pack e aggiornamenti critici
Red Hat® Enterprise Linux® 8 (Kernel 4.x) (64 bit)
R: Supportato
Versioni minori, aggiornamenti cumulativi e aggiornamenti critici
Red Hat® Enterprise Linux® 7 (Kernel 3.x) (64 bit) (obsoleto)
R: Supportato
Versioni minori, aggiornamenti cumulativi e aggiornamenti critici
SUSE® Linux® Enterprise Server 12 (64 bit)
R: Supportato
Service Pack, patch cumulative e aggiornamenti di sicurezza critici
Oracle Linux® 7 Aggiornamento 3 (64 bit)
R: Supportato
Service Pack, patch cumulative e aggiornamenti di sicurezza critici
CentOS 7 (64 bit) [6]
R: Supportato
Service Pack, patch cumulative e aggiornamenti di sicurezza critici

Ambiente virtualizzato virtualized-environment

Puoi eseguire AEM Forms su JEE in un computer fisico o in un ambiente virtuale. Tuttavia, se riscontri problemi con AEM Forms in un ambiente virtuale, prova a replicare il problema su un computer fisico. Se il problema persiste sul computer fisico, contattare il supporto Adobe per una risoluzione. Per i problemi che non è possibile replicare su un computer fisico, contattare il fornitore dell'ambiente virtuale.

Ambienti di sviluppo development-environments

Piattaforma (versione base)
Livello di supporto
Definizioni di patch supportate
Microsoft® Windows® 10 a 64 bit
E: Funzionamento previsto
Service Pack e aggiornamenti critici

Eccezioni alle piattaforme server supportate exceptions-to-supported-server-platforms

Quando scegli una piattaforma per configurare il server AEM Forms su JEE, considera le seguenti eccezioni.

  1. AEM Forms su JEE non supporta IBM® WebSphere® con MySQL.
  2. AEM Forms su JEE non supporta e JBoss® su SUSE® Linux® Enterprise Server 12. Solo IBM® WebSphere® è supportato su SUSE® Linux® Enterprise Server 12.
  3. AEM Forms su JEE non supporta JDK con JBoss® ad eccezione di Oracle Java™ SE.
  4. AEM Forms su JEE non supporta JDK con IBM® WebSphere® ad eccezione di IBM® JDK.
  5. L’archivio CRX supporta la persistenza di tipi TarMK, MongoDB e database relazionali (RDBMK). Non è possibile avere due sistemi di database diversi tra il server applicazioni e l'archivio CRX. Tuttavia, in un ambiente AEM Forms su JEE, puoi utilizzare MongoMK con l’archivio CRX e un database relazionale supportato con il server applicazioni.
  6. AEM Forms su JEE non supporta il server applicazioni WebSphere® su CentOS.
  7. AEM Forms su JEE non supporta JBoss® RBAC (role-based access control).
  8. AEM Forms Oracle su JEE supporta l’SDK Java™ SE 11 (64 bit) per JBoss per application server® solo EAP 7.4.
  9. Le versioni JDK superiori a 1.8.0_281 non sono supportate per il server WebLogic. (FORMS-8498)
  10. JDK 11.0.20 non è supportato per installare AEM Forms sul programma di installazione JEE. Per installare AEM Forms sul programma di installazione di JEE sono supportate solo JDK 11.0.19 o versioni precedenti.

Inoltre, nella scelta del software, considera i seguenti aspetti, ad Adobe le implementazioni di AEM Forms su JEE:

  • AEM Forms su JEE supporta aggiornamenti, patch e fix pack oltre alla versione principale e secondaria specificata del software supportato. Tuttavia, l’aggiornamento alla versione principale o secondaria successiva non è supportato, a meno che non sia specificato.
  • Le installazioni basate su cluster non supportano la persistenza TarMK. Per informazioni sulla persistenza supportata, consulta Scelta di un tipo di persistenza per un’installazione di AEM Forms.
  • AEM Forms su JEE supporta diversi software di terze parti in base ai Adobi Criteri di supporto software di terze parti.
  • AEM Forms sulle piattaforme di supporto JEE in base al supporto fornito da fornitori terzi. Alcune combinazioni potrebbero non essere consentite da fornitori di terze parti. Molti fornitori, ad esempio, non hanno certificato i propri server applicazioni con Oracle. Di conseguenza, anche AEM Forms su JEE non supporta queste combinazioni. Per assicurarsi di scegliere le versioni del software supportate, consultare la matrice di supporto anche per i fornitori di terze parti.
  • AEM Forms su JEE non supporta lo standby a freddo di TarMK.
  • AEM Forms su JEE non supporta il clustering verticale.
  • AEM Forms su JEE non supporta il database MySQL in un ambiente cluster.
  • Per un elenco delle piattaforme rimosse o aggiornate, consulta Riepilogo delle nuove funzioni di AEM 6.5 Forms documento.

Server LDAP (facoltativo) ldap-servers-optional

Prodotto (versione base)
Definizioni di patch supportate
Microsoft® Active Directory 2016 (obsoleto)
Rilascio di manutenzione e pacchetti di correzione
Microsoft® Active Directory 2022
Rilascio di manutenzione e pacchetti di correzione
IBM® Tivoli Directory Server 6.4
Feature Pack e correzioni provvisorie

Server di posta elettronica (facoltativo) email-servers-optional

Prodotto
Microsoft® Exchange 2013
Microsoft® Office 365

Gestione contenuti e connettori corrispondenti content-managers-and-corresponding-connectors

Prodotto
Versione
EMC Documentum®
7,3
IBM® FileNet
5.5.2.
IBM® Content Manager Server (obsoleto)
8.5 Fix pack 2
Client IBM® Content Manager (obsoleto)
8,5
Microsoft® Sharepoint
2019

Supporto per Cordova support-for-cordova

L’app AEM Forms ora supporta Apache Cordova. Di seguito sono riportate le versioni di Cordova specifiche per piattaforma supportate:

  • Apache Cordova 6.4.0
  • Cordova iOS 4.3.0
  • Cordova Android™ 6.0.0
  • Cordova Windows 4.4.3

Supporto software per PDF Generator software-support-for-pdf-generator

Prodotto
Formati supportati per la conversione in PDF
Acrobat 2020 classic track ultima versione
XPS, formati immagine (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, DWG, DXF e DWF
Microsoft® Office 2019
DOC, DOCX, XLS, XLSX, PPT, PPTX, RTF e TXT
WordPerfect 2020
WP, WPD
Microsoft® Publisher 2019
PUB
OpenOffice 4.1.10
ODT, ODP, ODS, ODG, ODF, SXW, SXI, SXC, SXD, XLS, XLSX, DOC, DOCX, PPT, PPTX, formati immagine (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, RTF e TXT
NOTE
PDF Generator supporta solo le versioni in inglese, francese, tedesco e giapponese dei sistemi operativi e delle applicazioni supportati.
Inoltre:
  • PDF Generator supporta solo la versione a 32 bit di Microsoft® Office Professional Plus e altri software necessari per la conversione.
  • PDF Generator non supporta Microsoft® Office 365.
  • Le conversioni PDF Generator per OpenOffice sono supportate solo in Windows e Linux®.
  • Le funzionalità PDF OCR, Optimize PDF e Export PDF sono supportate solo in Windows.
  • Una versione di Acrobat è inclusa in bundle con AEM Forms per abilitare la funzionalità PDF Generator. È consigliabile accedere alla versione in bundle solo a livello di programmazione con AEM Forms, per l’utilizzo con AEM Forms PDF Generator, durante il periodo di validità della licenza di AEM Forms. Per ulteriori informazioni, consulta Descrizione del prodotto AEM Forms in base alla tua implementazione (On-Premise o Managed Services)"
  • Il servizio PDF Generator non supporta Microsoft® Windows 10.
  • PDF Generator non riesce a convertire i file in Microsoft® Visio 2019.
  • PDF Generator non riesce a convertire i file utilizzando Microsoft® Project 2019.
  • Se un'installazione di Microsoft® Office viene disattivata o priva di licenza per qualsiasi motivo, ad esempio se un'installazione con licenza Volume License non è in grado di individuare un host KMS entro un determinato periodo di tempo, le conversioni potrebbero non riuscire fino a quando l'installazione non viene rilasciata e riattivata.

Eccezioni al supporto dell’accessibilità exceptions-to-accessibility-support

I seguenti sottosistemi di AEM Forms non sono 508 conforme:

  • Interfaccia utente di authoring di Forms adattivo
  • Interfaccia utente di authoring di Forms Manager
  • Interfaccia utente di authoring di Gestione corrispondenza
  • Interfaccia di amministrazione (interfaccia di Administration Console)

Requisiti di sistema per AEM Forms su JEE system-requirements-for-aem-forms-on-jee

Requisiti hardware minimi minimum-hardware-requirements

Platform
Requisiti hardware minimi
Microsoft® Windows Server
Processore Intel Xeon® E5-2680, 2,4 GHz o equivalente
VMWare ESX 5.1 o versione successiva
RAM: 6 GB (sistema operativo a 64 bit con JVM a 64 bit)
Spazio libero su disco: 15 GB di spazio temporaneo più 22 GB
per AEM Forms su JEE
SUSE® Linux® Enterprise Server
Intel Xeon® E5-2670v2, 1 vCPU, processore da 2,5 GHz
AWS m3.medium (3 ECU)
RAM: 6 GB (sistema operativo a 64 bit con JVM a 64 bit)
Spazio libero su disco: 6 GB di spazio temporaneo più 22 GB
per AEM Forms su JEE
Red Hat® Enterprise Linux®
Intel Xeon® E5-2670v2, 1 vCPU, processore da 2,5 GHz
AWS m3.medium (3 ECU)
RAM: 6 GB (sistema operativo a 64 bit con JVM a 64 bit)
Spazio libero su disco: 6 GB di spazio temporaneo più 22 GB
per AEM Forms su JEE
Requisiti hardware per un ambiente di produzione di piccole dimensioni
  • Ambiente basato su Intel®: Intel Xeon® E5-2680, 2,4 GHz o superiore. L'utilizzo di un processore dual-core migliorerà ulteriormente le prestazioni
  • Memoria: 4 GB

Per ulteriori informazioni, vedere:

ADOBE ACROBAT e ADOBE READER adobe-acrobat-and-adobe-reader

Acrobat e Adobe Reader (base)
Definizioni di patch supportate
Acrobat 2020 (brano classico)
Versione 20.004.30006 o successiva
NOTE
La famiglia di prodotti Acrobat DC introduce due tracce per Acrobat e Reader che sono prodotti diversi: "Classic" e "Continuous". Per maggiori dettagli e un confronto tra i due brani, vedere https://www.adobe.com/devnet-docs/acrobatetk/tools/AdminGuide/whatsnewdc.html.

Client supportati per AEM Forms su JEE supported-clients-for-aem-forms-on-jee

Workbench workbench

Platform
Definizioni di patch supportate

Microsoft® Windows® 10 (Enterprise, Pro, Basic)

Versione a 32 bit o a 64 bit

Service Pack e aggiornamenti critici
Server Microsoft® Windows® 2019 (obsoleto)
Service Pack e aggiornamenti critici
Server Microsoft® Windows® 2022
Service Pack e aggiornamenti critici
  • Spazio su disco per l'installazione: 1,7 GB solo per Workbench, 2,7 GB su un'unica unità per un'installazione completa di Workbench, Designer e l'assembly di esempio 400 MB per le directory di installazione temporanee: 200 MB nella directory temporanea dell'utente e 200 MB nella directory temporanea di Windows. Se tutte queste posizioni si trovano su un'unica unità, durante l'installazione devono essere disponibili 1,5 GB di spazio. I file copiati nelle directory temporanee vengono eliminati al termine dell'installazione.

  • Memoria per l'esecuzione di Workbench: 2 GB di RAM

  • Requisiti hardware: processore Intel® Pentium® 4 o AMD® equivalente a 1 GHz

  • Risoluzione minima del monitor 1024 X 768 pixel o superiore con colore a 16 bit o superiore

  • Connessione di rete TCP/IPv4 o TCP/IPv6 al server AEM Forms su JEE

  • Per installare Workbench in Windows è necessario disporre dei privilegi di amministratore. Se si sta effettuando l'installazione utilizzando un account non amministratore, il programma di installazione richiederà le credenziali per un account appropriato.

Designer designer

  • Microsoft® Windows® 2016 Server, Microsoft® Windows® 2019 Server, Microsoft® Windows® 10 o Windows® 11
  • Processore da 1 GHz o superiore con supporto per PAE, NX e SSE2.
  • 1 GB di RAM per 32 bit o 2 GB di RAM per sistema operativo a 64 bit
  • 16 GB di spazio su disco per 32 bit o 20 GB di spazio su disco per sistema operativo a 64 bit
  • Memoria grafica - 128 MB di GPU (consigliata 256 MB)
  • 2,35 GB di spazio disponibile su disco rigido
  • Risoluzione di 1024 X 768 pixel o superiore
  • Accelerazione hardware video (opzionale)
  • Acrobat Pro DC, Acrobat Standard DC o Adobe Acrobat Reader DC
  • Privilegi amministrativi per installare Designer
  • Microsoft® Visual C++ 2019 (VC 14.28 o versione successiva), runtime a 32 bit

Browser browsers

Desktop desktops

Browser (base)
Livello di supporto
Definizioni di patch supportate
Microsoft® Edge (Evergreen)
R: Supportato
Service Pack e aggiornamenti
Mozilla Firefox (Evergreen)
R: Supportato
Tutti gli aggiornamenti
Mozilla Firefox ESR
E: Funzionamento previsto
Tutti gli aggiornamenti
Google Chrome (Evergreen)
R: Supportato
Tutti gli aggiornamenti
Apple Safari su macOS
R: Supportato
Tutti gli aggiornamenti
NOTE
Di seguito sono riportate alcune eccezioni relative al browser per i desktop:
  • Safari è supportato solo su Macintosh OS X.
  • Workspace supporta Safari 5.1 su Macintosh OS X 10.6 e 10.7 con Acrobat DC o versioni successive. Per ulteriori informazioni sulla compatibilità di Safari 5.1 con Adobe Reader e Acrobat, consulta https://helpx.adobe.com/it/x-productkb/multi/safari-5-1-incompatible-reader.html.
  • La console di amministrazione non è supportata in Safari.
  • Gestione corrispondenza non supporta Windows® Internet Explorer 9.0 per i moduli AEM 6.1.
  • Forms Portal supporta il software JAWS 14.0 screen reader su Internet Explorer 11 per l'accessibilità.

Client per dispositivi mobili mobile-clients

Browser (base)
Definizioni di patch supportate
Chrome su Android™ 4.1.2 e versioni successive
Tutti gli aggiornamenti
Safari su iOS 15.1 e versioni successive
Tutti gli aggiornamenti
Microsoft® Edge
Tutti gli aggiornamenti
Browser nativo Android™ su Android™ 4.4 e versioni successive
Tutti gli aggiornamenti
NOTE
  • Forms Portal è supportato su Safari solo su iPad.

app AEM Forms aem-forms-workspace-app

Supporto per dispositivi mobili mobile-device-support

L’app AEM Forms è disponibile sulle seguenti piattaforme:

Piattaforma
Dispositivi supportati
Apple iOS
Apple iPhone, iPad, iPad Air e iPad mini con iOS 15.1 e versioni successive.
Google Android™
Android™ 5.1 e versioni successive. L'app AEM Forms è certificata su tablet Samsung Galaxy da 7 pollici e 10 pollici e smartphone popolari.
Microsoft® Windows
Dispositivi Microsoft® Surface, tablet, notebook e desktop con sistema operativo Microsoft® Windows 10.

Adobe di Document Security Extension for Microsoft® Office adobe-rights-management-extension-for-microsoft-office

Clic qui per visualizzare i requisiti di sistema per Adobe Document Security Extension for Microsoft® Office.

Eccezioni al supporto client exceptions-to-client-support

AEM Forms su JEE supporta aggiornamenti, patch e fix pack oltre alla versione principale e secondaria specificata del software supportato. Tuttavia, l’aggiornamento alla versione principale o secondaria successiva non è supportato, a meno che non sia specificato.

Criteri di supporto delle patch di terze parti third-party-patch-support-policy

I requisiti software di terze parti per AEM Forms su JEE sono documentati nella sezione "Requisiti di sistema" dei rispettivi documenti di prodotto. Accedi a tutta la documentazione da https://adobe.com/go/learn_aemforms_documentation_65_it .

AEM Forms sulle piattaforme di riferimento di terze parti di JEE indica il livello di patch specifico dell’infrastruttura di terze parti corrente durante lo sviluppo e il rilascio di AEM Forms su JEE e il livello minimo di patch/service pack dell’infrastruttura supportata da tale versione di AEM Forms su JEE.

Adobe supporta patch urgenti o consigliate rilasciate da fornitori di terze parti al momento del rilascio, presupponendo che i fornitori di terze parti garantiscano la compatibilità con le versioni supportate da AEM Forms su JEE. Adobe supporterà solo le patch rilasciate dopo il livello minimo di patch indicato nella documentazione di AEM Forms su JEE.

A volte, Adobe non supporta aggiornamenti di terze parti che modificano funzionalità principali e quindi non supportano la piena compatibilità con le versioni precedenti. Per informazioni dettagliate sugli aggiornamenti supportati, consulta Definizioni di patch supportate per prodotti di fornitori specifici e i tipi di patch supportati dall’Adobe.

In circostanze che esulano dal controllo di Adobe, le patch di terze parti che rivendicano la compatibilità con le versioni precedenti possono avere un impatto negativo sui prodotti Adobe o sugli ambienti dei clienti. In questi casi, Adobe consiglia ai clienti di valutare l'impatto di eventuali patch urgenti di terze parti prima di applicarle ai sistemi critici. Adobe collabora con terze parti utilizzando ragionevoli sforzi commerciali per risolvere tali problemi, sia attraverso normali programmi di supporto Adobe o da terze parti che rettificano il problema nella loro patch. Ciò non garantisce che una patch di terze parti appena rilasciata che sarà supportata da Adobe funzioni come documentato dal fornitore o con AEM Forms su JEE.

Adobe si riserva il diritto di modificare le piattaforme di riferimento di terze parti supportate da una versione di AEM Forms su JEE e le relative definizioni di patch supportate in qualsiasi momento.

Per ulteriori informazioni sulle patch di terze parti, visitare il sito di supporto Enterprise Adobe per trovare gli articoli della knowledgebase relativi al prodotto.

Cronologia revisioni revision-history

Versione 6.5.19.1 (15 dicembre 2023)

Supporto aggiunto
Supporto rimosso
Supporto obsoleto
MongoDB Enterprise 6.0
MongoDB Enterprise 4.4
MongoDB Enterprise 5.0

Versione 6.5.18.0 (31 agosto 2023)

Supporto aggiunto
Supporto rimosso
Supporto obsoleto
MongoDB Enterprise 4.4
Windows Server 2016 (64 bit)
Microsoft® Windows Server 2019 (64 bit)
Oracle server WebLogic 14c
MongoDB Enterprise 4.0
Microsoft® Active Directory 2016
Il mio connettore SQL JDBC 8
Database Oracle 12c versione 2 (12.2.0.1.0)
Active Directory 2022
MySQL 5.7.35
Microsoft® Windows Server 2022 (64 bit)
Microsoft® SQL Server 2016
JBoss® EAP 7.1.4
Il mio connettore SQL JDBC 5.1.44
Driver JDBC Microsoft® SQL Server 6.2.1.0
Driver JDBC Microsoft® SQL Server 6.2.2.0
Driver Microsoft® JDBC 8.x per SQL Server
Supporto rimosso (PDF Generator e In generale):
Microsoft® Sharepoint 2016
Microsoft® Office 2016
Microsoft® Office Visio 2016
Microsoft® Publisher 2016
Microsoft® Project 2016
OpenOffice 4.1.2
Acrobat 2017 (Classic track) versione 17.011.30078 o successiva

Versione 6.5.13.0 (2 giugno 2022)

Supporto aggiunto
Supporto rimosso
Supporto obsoleto
Microsoft® SharePoint 2016

Versione 6.5.12.0 (3 marzo 2022)

Supporto aggiunto
Supporto rimosso
Supporto obsoleto
Macchina virtuale IBM® J9 (build 2.8, JRE 1.8.0)
MongoDB Enterprise 4.0
Database Oracle 12c versione 1
MongoDB Enterprise 4.2
Database Oracle 18c
IBM® DB2® 11.1
Oracle di directory unificata (OUD) 11g versione 2
Database Oracle 12c versione 2
IBM® Lotus Domino 9.0
MySQL 5.7.35
IBM® FileNet 5.2
Driver JDBC Microsoft® SQL Server 6.2.1.0
Flash Player Adobe
JBoss® Enterprise Application Platform (EAP) 7.1.4
IBM® Content Manager Server 8.5 Fix Pack 2
Client IBM® Content Manager 8.5
Microsoft® SQL Server 2016
Microsoft® Windows Server 2016

Versione 6.5.10.0 (01 settembre 20222)

Supporto aggiunto
Supporto rimosso
Supporto obsoleto
Oracle Java™ SE 11 (64 bit) SDK per Application Server JBoss® EAP 7.4.
Adobe Acrobat 2017 - Il supporto di base per Adobe Acrobat 2017 termina il 6 giugno 2022.
Red Hat® Enterprise Linux® 7 (Kernel 3.x) (64 bit)
Microsoft® Windows Server 2016 (64 bit)
Microsoft® Office 2016
OpenOffice 4.1.2
NOTE
Una piattaforma obsoleta continua a ricevere supporto fino alla prossima versione dell’installatore completo o, se precedente, fino a quando il supporto di terze parti non raggiunge la fine del ciclo di vita.
19ffd973-7af2-44d0-84b5-d547b0dffee2